Contacts
Merge contacts
Merge two or more duplicate contacts into a single contact record. The primary contact is kept and enriched with data from the secondary contacts, which are then deleted.
POST /v1/contacts/merge
Request body
Content-Type: application/json
contactIds
array<array> required
Example
{
"contactIds": [
[
"00000000-0000-0000-0000-000000000000"
]
]
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.mergedContactIds
array<string (uuid)> required
Example
{
"error": false,
"data": {
"mergedContactIds": [
"00000000-0000-0000-0000-000000000000"
]
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v1/contacts/merge \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"contactIds": [
[
"00000000-0000-0000-0000-000000000000"
]
]
}'
fetch('https://api.prod.getdex.com/v1/contacts/merge', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contactIds: [
{
0: '00000000-0000-0000-0000-000000000000'
}
]
})
})
requests.post(
"https://api.prod.getdex.com/v1/contacts/merge",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"contactIds": [
[
"00000000-0000-0000-0000-000000000000"
]
]
}
)

